KDE 4.4 PyKDE API Reference

- KDE's Python API

# UploadDialog Class Reference

`from PyKDE4.knewstuff import *`

Inherits: KDialog → QDialog → QWidget → QObject
Namespace: KNS3.UploadDialog

## Detailed Description

KNewStuff file upload dialog.

Using this dialog, data can easily be uploaded to the Hotstuff servers.

Maintainer: Jeremy Whiting (jpwhiting@kde.org)

Since:
  4.4

## Methods
| __init__ (self, QWidget parent=0)
| __init__ (self, QString configFile, QWidget parent=0)
| accept (self)
| setUploadFile (self, KUrl payloadFile)
| setUploadName (self, QString name)

## Method Documentation

__init__ | ( | self, |
|  | QWidget | parent=0
| ) |  |  |

Constructor.

Parameters:

  | parent | the parent window

__init__ | ( | self, |
|  | QString | configFile,
|  | QWidget | parent=0
| ) |  |  |

accept | ( |  | self ) |

setUploadFile | ( | self, |
|  | KUrl | payloadFile
| ) |  |  |

Set the file to be uploaded.

Parameters:

  | payloadFile | the payload data file

setUploadName | ( | self, |
|  | QString | name
| ) |  |  |

Set the suggested name for the upload. The application can suggest a title which can then be edited by the user before uploading. The name field will be left empty if no title was set.

Parameters:

  | name | the suggested name for the upload